#include <bits/stdc++.h>

using namespace std;
#define int long long
const int MX = 1e9 + 7;

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, s;
    cin >> n >> s;
    vector<pair<int, int>> x(n + 1);
    for (int i = 1; i <= n; i++) {
        int k;
        cin >> k;
        for (int j = 1; j <= k; j++) {
            int c;
            cin >> c;
            x.emplace_back(c, i);
        }
    }
    int N = x.size();
    int dp[N + 1][s + 1];
    for (int i = 0; i <= N; i++) {
        for (int j = 0; j <= s; j++) {
            dp[i][j] = MX;
        }
    }
    dp[0][0] = 1;
    for (int i = 1; i <= N; i++) {
        for (int j = 0; j <= s; j++) {
            dp[i][j] = dp[i - 1][j];
            if (j - x[i].first >= 0) {
                dp[i][j] = min(dp[i][j], dp[i - 1][j - x[i].first]);
            }
        }
    }
    if (dp[N][s] == MX) {
        cout << "No";
        return 0;
    }
    cout << "Yes" << endl;
    vector<vector<int>> ans(n + 1);
    int nn = N, w = s;
    while (nn > 0) {
        if (dp[nn - 1][w] != MX) {
            nn--;
            continue;
        }
        if (dp[nn - 1][w - x[nn].first] != MX) {
            ans[x[nn].second].push_back(x[nn].first);
            w -= x[nn].first;
            nn--;
        }
    }
    for (int i = 1; i <= n; i++) {
        cout << ans[i].size() << endl;
        for (int j = 0; j < ans[i].size(); j++) {
            cout << ans[i][j] << " ";
        }
        cout << endl;
    }
}