#include <bits/stdc++.h>

using namespace std;
#define int long long

int f(int i) {
    int l = 0, r = i;
    while (r - l > 1) {
        int m = (l + r) / 2;
        if (m * m > i) {
            r = m;
        } else {
            l = m;
        }
    }
    return r;
}

int f1(int i) {
    int l = 0, r = i;
    while (r - l > 1) {
        int m = (l + r) / 2;
        if (m * m > i) {
            r = m;
        } else {
            l = m;
        }
    }
    return l;
}

int solve1(int d, int l, int r) {
    vector<int> v = {1};
    int i = 2;
    while (d > 1) {
        if (d % i == 0) {
            d /= i;
            v.push_back(i);
        } else {
            i += 1;
        }
    }
    set<int> st;
    for (int mask = 0; mask < v.size(); mask++) {
        int r1 = 1, r2 = 1;
        for (int j = 0; j < v.size(); j++) {
            if ((mask >> j) & 1) {
                r1 *= v[j];
            } else {
                r2 *= v[j];
            }
        }
        int x = (r1 + r2);
        if (x % 2 != 0) {
            continue;
        }
        x /= 2;
        if (x * x < l || x * x > r) {
            continue;
        }
        int y = x - r1;
        if (y * y < l || y * y > r) {
            continue;
        }
        st.insert(x);
    }
    return st.size();
}

int solve2(int d, int l, int r) {
    vector<int> v;
    int st = f(l);
    if ((st - 1) * (st - 1) == l) {
        st -= 1;
    }
    int cn = f1(r);
    for (int i = st; i <= cn; ++i) {
        if (i * i >= l && i * i <= r) {
            v.push_back(i * i);
        }
    }
    int cnt = 0;
    for (int i = 0; i < v.size(); ++i) {
        int il = 0, ir = i;
        while (ir - il > 1) {
            int m = (il + ir) / 2;
            if (v[i] - v[m] < d) {
                ir = m;
            } else {
                il = m;
            }
        }
        if (v[i] - v[il] == d) {
            cnt++;
        }
    }
    return cnt;
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int d, l, r;
    for (int d = 1; d < 100; ++d) {
        for (int l = 1; l < 100; ++l) {
            for (int r = 1; r < 100; ++r) {
                if (solve1(d, l, r) != solve2(d, l, r)) {
                    cout << d << " " << l << " " << r << endl;
                    cout << solve1(d, l, r) << endl << solve2(d, l, r) << endl;
                }
            }
        }
    }
    return 0;
}